<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="Record">
        <!-- List Example -->
        <image height="300" width="400">
            <field height="150" width="150" x="10" y="10">
                <text font-family="Arial" font-size="15" line-spacing="10">
                    Unordered List:
                    <ul line-spacing="10" spacing="5" type="disc" wrapped-line-spacing="1">
                        <li>Text Text Text</li>
                        <li>
                            <span font-size="18,16,14" font-weight="bold">Text Text Text</span>
                        </li>
                        <li wrapped-line-spacing="15">Text Text Text Text</li>
                        <li font-size="12" line-spacing="0">Text</li>
                        <li>Text Text</li>
                    </ul>
                </text>
            </field>
            <field height="150" width="150" x="190" y="10">
                <text font-family="Arial" font-size="16" line-spacing="15">
                    Ordered List:
                    <ol line-spacing="-4" spacing="2" type="DOT_BRACKET" wrapped-line-spacing="1">
                        <li>Text Text Text</li>
                        <li font-size="24,22,20,18" font-weight="bold" wrapped-line-spacing="-3">Text Text Text</li>
                        <li wrapped-line-spacing="20">Text Text Text</li>
                        <li font-size="10" line-spacing="0">Text</li>
                        <li>Text Text</li>
                    </ol>
                </text>
            </field>
            <field height="56" width="380" x="10" y="170">
                <text align="center" font-size="12">
                    Floating list:
                    <br/>
                    <ul float="true" bullet-font-family="Wingdings" spacing="5" type="ü">
                        <li>Text Text 0</li>
                        <li>Text Text 1</li>
                        <li>Text Text 2</li>
                        <li>Text Text 3</li>
                        <li>Text Text 4</li>
                        <li>Text Text 5</li>
                        <li>Text Text 6</li>
                        <li>Text Text 7</li>
                        <li>Text Text 8</li>
                        <li>Text Text</li>
                    </ul>
                </text>
            </field>

            <field height="56" width="380" x="10" y="240">
                <text align="center" font-size="12">
                    Floating list with image bullets (magnifier):
                    <ul float="true" spacing="4" bullet-image="../images/magnifier.png">
                        <li>Text Text 0</li>
                        <li>Text Text 1</li>
                        <li>Text Text 2</li>
                        <li>Text Text 3</li>
                        <li>Text Text 4</li>
                        <li>Text Text 5</li>
                        <li>Text Text 6</li>
                    </ul>
                </text>
            </field>
        </image>
    </xsl:template>
</xsl:stylesheet>
